<?php

namespace Modules\Core\Enums;

enum AmountTypeEnum: string
{
    case FIXED = 'fixed';
    case PERCENTAGE = 'percentage';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
